Trigger (HSQLDB 1.8.0.10 API)
Keywords: org.hsqldb.Trigger interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Interface Trigger

All Known Implementing Classes:
  TriggerSample

public interface Trigger

The interface an HSQLDB TRIGGER must implement. The user-supplied class that implements this must have a default constructor.

Since:
  1.7.0
Author:
  Peter Hudson

Field Summary
`static int` | `DELETE_AFTER`
`static int` | `DELETE_AFTER_ROW`
`static int` | `DELETE_BEFORE`
`static int` | `DELETE_BEFORE_ROW`
`static int` | `INSERT_AFTER`
`static int` | `INSERT_AFTER_ROW`
`static int` | `INSERT_BEFORE`
`static int` | `INSERT_BEFORE_ROW`
`static int` | `UPDATE_AFTER`
`static int` | `UPDATE_AFTER_ROW`
`static int` | `UPDATE_BEFORE`
`static int` | `UPDATE_BEFORE_ROW`

Method Summary
`void` | `fire(int type, java.lang.String trigName, java.lang.String tabName, java.lang.Object[] oldRow, java.lang.Object[] newRow)` The method invoked upon each triggered action.

Field Detail

### INSERT_AFTER

    public static final int INSERT_AFTER

See Also:
  Constant Field Values

### DELETE_AFTER

    public static final int DELETE_AFTER

See Also:
  Constant Field Values

### UPDATE_AFTER

    public static final int UPDATE_AFTER

See Also:
  Constant Field Values

### INSERT_BEFORE

    public static final int INSERT_BEFORE

See Also:
  Constant Field Values

### DELETE_BEFORE

    public static final int DELETE_BEFORE

See Also:
  Constant Field Values

### UPDATE_BEFORE

    public static final int UPDATE_BEFORE

See Also:
  Constant Field Values

### INSERT_AFTER_ROW

    public static final int INSERT_AFTER_ROW

See Also:
  Constant Field Values

### DELETE_AFTER_ROW

    public static final int DELETE_AFTER_ROW

See Also:
  Constant Field Values

### UPDATE_AFTER_ROW

    public static final int UPDATE_AFTER_ROW

See Also:
  Constant Field Values

### INSERT_BEFORE_ROW

    public static final int INSERT_BEFORE_ROW

See Also:
  Constant Field Values

### DELETE_BEFORE_ROW

    public static final int DELETE_BEFORE_ROW

See Also:
  Constant Field Values

### UPDATE_BEFORE_ROW

    public static final int UPDATE_BEFORE_ROW

See Also:
  Constant Field Values

Method Detail

### fire

    public void fire(int type,
                     java.lang.String trigName,
                     java.lang.String tabName,
                     java.lang.Object[] oldRow,
                     java.lang.Object[] newRow)

  The method invoked upon each triggered action.

  When UPDATE triggers are fired, oldRow contains the existing values of the table row and newRow contains the new values.

  For INSERT triggers, oldRow is null and newRow contains the table row to be inserted. For DELETE triggers, newRow is null and oldRow contains the table row to be deleted. type contains the integer index id for trigger type, e.g. TriggerDef.INSERT_AFTER (fredt@users)

  Parameters:
    `trigName` - the name of the trigger
    `tabName` - the name of the table upon which the triggered action is occuring
    `oldRow` - the old row
    `newRow` - the new row

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.